# Uses of Interface
org.eclipse.e4.core.services.events.IEventBroker

Packages that use IEventBroker
Package
Description
org.eclipse.e4.ui.workbench.addons.perspectiveswitcher
org.eclipse.e4.ui.workbench.renderers.swt
org.eclipse.ui.internal

## Uses of IEventBroker in org.eclipse.e4.ui.workbench.addons.perspectiveswitcher

Fields in org.eclipse.e4.ui.workbench.addons.perspectiveswitcher declared as IEventBroker
Modifier and Type
Field
Description
`protected IEventBroker`
PerspectiveSwitcher.`eventBroker`
The event `IEventBroker`.

## Uses of IEventBroker in org.eclipse.e4.ui.workbench.renderers.swt

Methods in org.eclipse.e4.ui.workbench.renderers.swt with parameters of type IEventBroker
Modifier and Type
Method
Description
`void`
LazyStackRenderer.`contextDisposed(IEventBroker eventBroker)`
`void`
LazyStackRenderer.`init(IEventBroker eventBroker)`

## Uses of IEventBroker in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal with parameters of type IEventBroker
Modifier and Type
Method
Description
`void`
WorkbenchPage.`setup(MApplication application, EModelService modelService, IEventBroker broker, MWindow window, EPartService partService)`